Gemma 4 31B
Chat Completions API
gemma-4-31b-it
Chat Completions API
Gemma 4 26B A4B IT is an instruction-tuned Mixture-of-Experts (MoE) model developed by Google DeepMind. While it has 25.2B parameters in total, only 3.8B are activated per token during inference — providing performance close to a 31B model at a much lower computational cost. It supports multimodal inputs such as text, images, and video (up to 60 seconds at 1 fps). Key features include a 256K-token context window, native function calling, an adjustable thinking/reasoning mode, and support for structured outputs. It is released under the Apache 2.0 license.
API-методы и структура запроса
Здесь собран публичный контракт интеграции модели: поддерживаемые API-методы, параметры запросов и примеры вызовов.
Chat Completions API
POST/v1/chat/completionsПример кода
Пример использования модели через API на Python или cURL. Замените значения-заполнители своим API-ключом и ID модели.
Базовый пример запроса. Проверьте разрешения API-ключа. Подробнее см. документацию.
Базовый пример запроса. Проверьте разрешения API-ключа. Подробнее см. документацию.
curl https://api.makura.ai/v1/chat/completions \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
--data-raw '{
"model": "gemma-4-31b-it",
"messages": [
{
"role": "user",
"content": "Сколько будет 2 + 2?"
}
]
}'Параметры
Параметры, доступные в API-запросах
Max Completion TokensReasoning EffortResponse FormatStopTemperatureTool ChoiceToolsTop PWeb Search Options